declare const reducers: import("redux").Reducer<import("redux").CombinedState<{
    list: {
        pageInfo: import("../../../../../../../typings").PaginationInfo;
        list: import("../../../../../../../typings").File[];
        loading: boolean;
    };
    content: {
        pageInfo: import("../../../../../../../typings").PaginationInfo;
        list: import("../../../../../../../typings").ContentEntity[];
        loading: boolean;
    };
}>, import("typesafe-actions").PayloadAction<"APPLICATION_FILE_TEMPLATES_LIST__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_TEMPLATES_LIST__UPDATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_TEMPLATES_LIST__FETCH_LIST", {
    applicationId: string;
    page?: number | undefined;
    size?: number | undefined;
    search?: string | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_TEMPLATES_LIST__PUSH_LIST", {
    list: import("../../../../../../../typings").File[];
    pageInfo: import("../../../../../../../typings").PaginationInfo;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_TEMPLATE_CONTENT__TEMPLATE_CLEAR_APP", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_TEMPLATE_CONTENT__UPDATE_TEMPLATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_TEMPLATE_CONTENT__FETCH_TEMPLATE_CONTENT_LIST", {
    applicationId: string;
    fileType?: string | undefined;
    fileId: string;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_TEMPLATE_CONTENT__PUSH_TEMPLATE_CONTENT_LIST", {
    list: import("../../../../../../../typings").ContentEntity[];
    pageInfo: import("../../../../../../../typings").PaginationInfo;
}>>;
export default reducers;
